## lubuntu-installer-prompt 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

project(lubuntu-installer-prompt VERSION 0.2.0 LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Widgets)

include_directories(${PROJECT_SOURCE_DIR}/src)

file(GLOB PROJECT_SOURCES
    "${PROJECT_SOURCE_DIR}/src/*.cpp"
    "${PROJECT_SOURCE_DIR}/src/*.h"
    "${PROJECT_SOURCE_DIR}/src/*.ui"
)

qt_add_executable(lubuntu-installer-prompt
    MANUAL_FINALIZATION
    ${PROJECT_SOURCES}
)

target_link_libraries(lubuntu-installer-prompt PRIVATE Qt6::Widgets)

qt_finalize_executable(lubuntu-installer-prompt)

install(TARGETS lubuntu-installer-prompt DESTINATION bin)
install(PROGRAMS "scripts/lubuntu-installer" DESTINATION bin)
install(FILES "img/background.png" DESTINATION share/lubuntu/installer-prompt)
install(FILES "lubuntu-installer-prompt.desktop" DESTINATION /etc/xdg/xdg-Lubuntu/autostart)

=== debian/changelog ===
lubuntu-installer-prompt (0.2.0-0ubuntu1) kinetic; urgency=medium

  * Initial release.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 30 Jun 2022 18:04:08 -0500

=== debian/control ===
Source: lubuntu-installer-prompt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: misc
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), qt6-base-dev, qt6-tools-dev
Standards-Version: 4.6.1
Vcs-Browser: https://github.com/lubuntu-team/installer-prompt/
Vcs-Git: https://github.com/lubuntu-team/installer-prompt.git
Homepage: https://lubuntu.me
Rules-Requires-Root: no

Package: lubuntu-installer-prompt
Architecture: any
Depends: calamares-settings-lubuntu,
         qt6-qpa-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Live ISO prompt for trying or installing Lubuntu
 This application displays a screen allowing the user to either try or
 install Lubuntu after booting the Lubuntu ISO file. It auto-launches
 when the ISO is first booted, and will either launch Calamares or LXQt,
 depending on the user's choice.

## lubuntu-installer-prompt 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(lubuntu-installer-prompt VERSION 1.0.1 LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INSTALL_PREFIX "/usr")

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Network LinguistTools)
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Network LinguistTools)
find_package(KF5 REQUIRED COMPONENTS NetworkManagerQt WidgetsAddons)

set(TS_FILES
    src/translations/lubuntu-installer-prompt_en_US.ts
    src/translations/lubuntu-installer-prompt_es_ES.ts
    src/translations/lubuntu-installer-prompt_zh_CN.ts
)

set(PROJECT_SOURCES
    src/main.cpp
    src/installerprompt.cpp
    src/installerprompt.h
    src/installerprompt.ui
    src/resource.qrc
)

set(TRANSLATION_RESOURCES "src/translations.qrc")

configure_file(${TRANSLATION_RESOURCES} translations.qrc COPYONLY)
qt5_add_translation(QM_FILES ${TS_FILES})
qt5_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)

add_custom_target(translations ALL DEPENDS ${QM_FILES})

add_executable(lubuntu-installer-prompt
    ${PROJECT_SOURCES}
    ${QM_RESOURCES}
)

add_dependencies(lubuntu-installer-prompt translations)

target_link_libraries(lubuntu-installer-prompt PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt5::Network KF5::NetworkManagerQt KF5::WidgetsAddons)

install(TARGETS lubuntu-installer-prompt
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
install(PROGRAMS "scripts/change-system-language" DESTINATION libexec)
install(PROGRAMS "scripts/lubuntu-installer" DESTINATION libexec)
install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION bin)
install(FILES "lubuntu-live-environment.desktop" DESTINATION share/xsessions)
install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink /etc/xdg/xdg-Lubuntu /etc/xdg/xdg-lubuntu-live-environment)")

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(lubuntu-installer-prompt)
endif()

=== debian/changelog ===
lubuntu-installer-prompt (1.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Update Standards-version to 4.6.2, no changess needed.
  * Update Vcs-*.
  * Update build dependencies.
  * Update Lintian overrides.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Dec 2023 15:07:07 -0600

## lubuntu-installer-prompt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
     src/installerprompt.cpp
     src/installerprompt.h
     src/installerprompt.ui
+    src/backgroundscreen.h
+    src/backgroundscreen.cpp
     src/resource.qrc
 )
 
@@ -56,7 +58,6 @@
 install(PROGRAMS "scripts/lubuntu-installer" DESTINATION libexec)
 install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION bin)
 install(FILES "lubuntu-live-environment.desktop" DESTINATION share/xsessions)
-install(CODE "execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink /etc/xdg/xdg-Lubuntu /etc/xdg/xdg-lubuntu-live-environment)")
 
 if(QT_VERSION_MAJOR EQUAL 6)
     qt_finalize_executable(lubuntu-installer-prompt)

=== debian/changelog ===
lubuntu-installer-prompt (1.1.0-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Dec 2023 14:57:02 -0600

## lubuntu-installer-prompt 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(lubuntu-installer-prompt VERSION 1.0.1 LANGUAGES CXX)
+project(lubuntu-installer-prompt VERSION 1.1.1 LANGUAGES CXX)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
@@ -16,11 +16,7 @@
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Network LinguistTools)
 find_package(KF5 REQUIRED COMPONENTS NetworkManagerQt WidgetsAddons)
 
-set(TS_FILES
-    src/translations/lubuntu-installer-prompt_en_US.ts
-    src/translations/lubuntu-installer-prompt_es_ES.ts
-    src/translations/lubuntu-installer-prompt_zh_CN.ts
-)
+file(GLOB TS_FILES "src/translations/lubuntu-installer-prompt_*.ts")
 
 set(PROJECT_SOURCES
     src/main.cpp
@@ -56,7 +52,7 @@
 )
 install(PROGRAMS "scripts/change-system-language" DESTINATION libexec)
 install(PROGRAMS "scripts/lubuntu-installer" DESTINATION libexec)
-install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION bin)
+install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION libexec)
 install(FILES "lubuntu-live-environment.desktop" DESTINATION share/xsessions)
 
 if(QT_VERSION_MAJOR EQUAL 6)

=== debian/changelog ===
lubuntu-installer-prompt (1.1.1-0ubuntu2) noble; urgency=medium

  * Ensure C is not the default locale, to the user.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 18:03:34 -0600

lubuntu-installer-prompt (1.1.1-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2046099).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 23 Dec 2023 17:06:34 -0600

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lubuntu-team/installer-prompt/releases .*/lubuntu-installer-prompt-([\d\.]+).tar.gz

## lubuntu-installer-prompt 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(lubuntu-installer-prompt VERSION 1.1.1 LANGUAGES CXX)
+project(lubuntu-installer-prompt VERSION 1.1.2 LANGUAGES CXX)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)

=== debian/changelog ===
lubuntu-installer-prompt (1.1.2-0ubuntu1) noble; urgency=medium

  * New upstream release (LP: #2047379).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 01 Jan 2024 13:56:49 -0600

## lubuntu-installer-prompt 24.04.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_INSTALL_PREFIX "/usr")
+set(CMAKE_INSTALL_PREFIX "/")
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -26,6 +26,18 @@
     src/backgroundscreen.h
     src/backgroundscreen.cpp
     src/resource.qrc
+    src/wifipassworddialog.h
+    src/wifipassworddialog.cpp
+    src/wifipassworddialog.ui
+    src/languagechangedialog.h
+    src/languagechangedialog.cpp
+    src/languagechangedialog.ui
+    src/warningdialog.h
+    src/warningdialog.cpp
+    src/warningdialog.ui
+    src/connectionprogressdialog.h
+    src/connectionprogressdialog.cpp
+    src/connectionprogressdialog.ui
 )
 
 set(TRANSLATION_RESOURCES "src/translations.qrc")
@@ -50,10 +62,11 @@
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
 )
-install(PROGRAMS "scripts/change-system-language" DESTINATION libexec)
-install(PROGRAMS "scripts/lubuntu-installer" DESTINATION libexec)
-install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION libexec)
-install(FILES "lubuntu-live-environment.desktop" DESTINATION share/xsessions)
+install(PROGRAMS "scripts/change-system-language" DESTINATION usr/libexec)
+install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION usr/libexec)
+install(FILES "lubuntu-live-environment.desktop" DESTINATION usr/share/xsessions)
+install(FILES "rc.xml" DESTINATION etc/xdg/xdg-lubuntu-live-environment/openbox)
+install(FILES "panel.conf" DESTINATION etc/xdg/xdg-lubuntu-live-environment/lxqt)
 
 if(QT_VERSION_MAJOR EQUAL 6)
     qt_finalize_executable(lubuntu-installer-prompt)

=== debian/changelog ===
lubuntu-installer-prompt (24.04.6) noble; urgency=medium

  * Launch Calamares in OEM mode when "oem-config/enable=true" is passed as a
    boot parameter (LP: #2063291).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 24 Apr 2024 00:20:14 -0500

lubuntu-installer-prompt (24.04.5) noble; urgency=medium

  * Reduce desktops to 1 to prevent accidental switching. (LP: #1469362) 
  * Remove desktop switcher from panel for a cleaner look.

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 10 Apr 2024 23:08:27 +0000

lubuntu-installer-prompt (24.04.4) noble; urgency=medium

  * Fix a race condition where a wired network connection could hang the
    installer prompt during startup.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 24 Mar 2024 20:40:48 -0500

lubuntu-installer-prompt (24.04.3) noble; urgency=medium

  * Don't let people close modal windows so they don't accidentally confuse
    the prompt and mess up their system.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 11 Mar 2024 18:14:21 -0500

lubuntu-installer-prompt (24.04.2) noble; urgency=medium

  * Remove a spurious d/source/options file resulting in the whole Git repo
    being uploaded with the source package.
  * Don't start the prompt using sudo, it's unnecessary and results in odd
    permissions issues.
  * Add support for open WiFi networks. (LP: #2056603)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 08 Mar 2024 23:49:22 +0000

lubuntu-installer-prompt (24.04.1) noble; urgency=medium

  * Switch to native packaging.
  * Fix several networking-related bugs.
  * Significant design improvements.
  * Use Picom for X compositing so that transparency and rounded corners work. 

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Feb 2024 14:45:23 -0600

=== debian/control ===
Source: lubuntu-installer-prompt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: misc
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5networkmanagerqt-dev,
               libkf5widgetsaddons-dev,
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/installer-prompt-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/installer-prompt-packaging.git
Homepage: https://lubuntu.me
Rules-Requires-Root: no

Package: lubuntu-installer-prompt
Architecture: any
Depends: calamares-settings-lubuntu, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Live ISO prompt for trying or installing Lubuntu
 This application displays a screen allowing the user to either try or
 install Lubuntu after booting the Lubuntu ISO file. It auto-launches
 when the ISO is first booted, and will either launch Calamares or LXQt,
 depending on the user's choice.

## lubuntu-installer-prompt 24.10.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(lubuntu-installer-prompt VERSION 1.1.2 LANGUAGES CXX)
+project(lubuntu-installer-prompt VERSION 2.0.0 LANGUAGES CXX)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
@@ -12,9 +12,8 @@
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Widgets Network LinguistTools)
-find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Network LinguistTools)
-find_package(KF5 REQUIRED COMPONENTS NetworkManagerQt WidgetsAddons)
+find_package(Qt6 REQUIRED COMPONENTS Core Widgets Network LinguistTools)
+find_package(KF6 REQUIRED COMPONENTS NetworkManagerQt)
 
 file(GLOB TS_FILES "src/translations/lubuntu-installer-prompt_*.ts")
 
@@ -43,8 +42,8 @@
 set(TRANSLATION_RESOURCES "src/translations.qrc")
 
 configure_file(${TRANSLATION_RESOURCES} translations.qrc COPYONLY)
-qt5_add_translation(QM_FILES ${TS_FILES})
-qt5_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
+qt_add_translation(QM_FILES ${TS_FILES})
+qt_add_resources(QM_RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
 
 add_custom_target(translations ALL DEPENDS ${QM_FILES})
 
@@ -55,7 +54,7 @@
 
 add_dependencies(lubuntu-installer-prompt translations)
 
-target_link_libraries(lubuntu-installer-prompt PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt5::Network KF5::NetworkManagerQt KF5::WidgetsAddons)
+target_link_libraries(lubuntu-installer-prompt PRIVATE Qt6::Widgets Qt6::Network KF6::NetworkManagerQt)
 
 install(TARGETS lubuntu-installer-prompt
     BUNDLE DESTINATION .

=== debian/changelog ===
lubuntu-installer-prompt (24.10.1) oracular; urgency=medium

  * Update to use Qt 6.
  * Fix the weird horizontal line at the bottom of the screen. (LP: #2081229)
  * Update background image. (LP: #2081230)
  * Use Kvantum theme by default to match the OS default. (LP: #2081233)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 01 Oct 2024 09:30:57 -0500

## lubuntu-installer-prompt 25.04.1

=== debian/changelog ===
lubuntu-installer-prompt (25.04.1) plucky; urgency=medium

  * Update background image.
  * Install main executable to /usr/bin rather than /bin.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 04 Mar 2025 23:57:40 -0600

## lubuntu-installer-prompt 25.04.2

=== debian/changelog ===
lubuntu-installer-prompt (25.04.2) plucky; urgency=medium

  * Update panel for the current default configuration. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 06 Mar 2025 01:01:59 +0000

## lubuntu-installer-prompt 25.04.3

=== debian/changelog ===
lubuntu-installer-prompt (25.04.3) plucky; urgency=medium

  * Removing desktop switch accidentially added to panel.

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 07 Mar 2025 18:29:48 +0000

## lubuntu-installer-prompt 25.04.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_INSTALL_PREFIX "/")
+set(CMAKE_INSTALL_PREFIX "/usr")
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -61,11 +61,11 @@
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
 )
-install(PROGRAMS "scripts/change-system-language" DESTINATION usr/libexec)
-install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION usr/libexec)
-install(FILES "lubuntu-live-environment.desktop" DESTINATION usr/share/xsessions)
-install(FILES "rc.xml" DESTINATION etc/xdg/xdg-lubuntu-live-environment/openbox)
-install(FILES "panel.conf" DESTINATION etc/xdg/xdg-lubuntu-live-environment/lxqt)
+install(PROGRAMS "scripts/change-system-language" DESTINATION libexec)
+install(PROGRAMS "scripts/start-lubuntu-live-env" DESTINATION libexec)
+install(FILES "lubuntu-live-environment.desktop" DESTINATION share/xsessions)
+install(FILES "rc.xml" DESTINATION /etc/xdg/xdg-lubuntu-live-environment/openbox)
+install(FILES "panel.conf" DESTINATION /etc/xdg/xdg-lubuntu-live-environment/lxqt)
 
 if(QT_VERSION_MAJOR EQUAL 6)
     qt_finalize_executable(lubuntu-installer-prompt)

=== debian/changelog ===
lubuntu-installer-prompt (25.04.4) plucky; urgency=medium

  * Update panel for the current default configuration. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 23 Mar 2025 01:18:05 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,9 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
-               libkf5networkmanagerqt-dev,
-               libkf5widgetsaddons-dev,
-               qtbase5-dev,
-               qttools5-dev
+               libkf6networkmanagerqt-dev,
+               qt6-base-dev,
+               qt6-tools-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/installer-prompt-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/installer-prompt-packaging.git

## lubuntu-installer-prompt 25.04.4build1

=== debian/changelog ===
lubuntu-installer-prompt (25.04.4build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 13:19:24 +0000
